<div class="qtb__next-back-button">
    <ng-container *ngIf="showBack">
        <button *ngIf="previousRouterLink"
                mat-stroked-button
                class="buttons__outlined"
                [routerLink]="previousRouterLink"
        >
            {{backText}}
        </button>
        <button *ngIf="!previousRouterLink"
                mat-stroked-button
                class="buttons__outlined"
                matStepperPrevious
                type="button"
        >
        {{backText}}
    </button>
    </ng-container>
    <ng-container *ngIf="showNext">
        <!-- [routerLink]="nextRouterLink" -->
        <button *ngIf="nextRouterLink"
                mat-raised-button
                class="buttons__contained"
                (click)="nextPage()"
                type="submit"
        >
            {{nextText}}
        </button>
        <button *ngIf="!nextRouterLink"
                mat-raised-button
                class="buttons__contained"
                matStepperNext
                type="submit"
                >
            {{nextText}}
        </button>
    </ng-container>
  </div>